- Mark as New
- Bookmark
- Subscribe
- Mute
- Subscribe to RSS Feed
- Permalink
- Report
Hello,
I have a strange situation.
When editing script i write ( like in the sample ) lin1. , i cannot see all the line's object properties.
I make some mistake but don't understand where.
Thanks in advance.
try:
curveSel = ui.selectEntity("Select first Line to trim ", "SketchCurves")
except:
break
if curveSel:
curve = adsk.fusion.SketchCurve.cast(curveSel.entity)
if type(curve) is adsk.fusion.SketchLine:
lin1= adsk.fusion.SketchLine.cast(curve)
lin1.geo........ <-------------------------------------------------------------------------( here not propose all propeties of object line )
lin1_3D =lin1.geometry.asInfiniteLine()
else:
return
else:
return None
Solved! Go to Solution.